# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlQt4/Qt4Widget.hpp File Reference

`#include <vl/VisualizationLibrary.hpp>`
`#include <vl/OpenGLContext.hpp>`
`#include <QtGui/QApplication>`
`#include <QtGui/QMouseEvent>`
`#include <QtGui/QWidget>`
`#include <QtCore/QUrl>`
`#include <QtCore/QTimer>`
`#include <QtCore/QObject>`
`#include <QtOpenGL/QGLWidget>`
`#include <QtOpenGL/QGLFormat>`

## Classes

class | vlQt4::Qt4Widget
| The Qt4Widget class implements an OpenGLContext using the Trolltech's Qt4 API. More...

## Namespaces

namespace | vlQt4
| The Qt4 bindings namespace.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.